LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XGraphic Interface Referencepublished

This interface acts as a container for the loaded graphic. More...

`import"XGraphic.idl";`

Inheritance diagram for XGraphic:

## Public Member Functions
byte | getType ()
| Get the type of the contained graphic. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface acts as a container for the loaded graphic.

The interface itself can be retrieved by using the appropriate methods of XGraphicProvider interface. XGraphicProvider also offers a method to store the graphic content at a specific location

To render the graphic content onto a specific device, you have to create a XGraphicRenderer interface and pass this interface appropriately

See also
  XGraphicProvider
  XGraphicRenderer

## Member Function Documentation

## ◆ getType()

byte getType | ( |  | ) |

Get the type of the contained graphic.

Returns
  The type of the contained graphic

See also
  GraphicType

The documentation for this interface was generated from the following file:

- com/sun/star/graphic/XGraphic.idl